## sView

*sView programs* are distributed under the terms of GNU General Public License version 3.0 or later.<br/>
Read the file [license-gpl-3.0.txt](license-gpl-3.0.txt) for details.

Here is the list of sView programs:

* `StImageViewer` (still image viewer)
* `StMoviePlayer` (audio/video player)
* `StDiagnostics` (mirror monitor calibrator)
* `StMonitorsDump` (EDID dump)
* `StBrowserPlugin` (NPAPI / ActiveX - obsolete Internet browser plugin)
* `StTests` (performance measurements)
* `StCADViewer` (CAD viewer)

## sView SDK

*sView SDK* is distributed under MIT license terms.<br/>
Read the file [license-mit.txt](license-mit.txt) for details.

Here is the list of sView SDK libraries:

* `StShared` (common classes)
* `StGLWidget` (GUI widgets base)
* `StCore` (OpenGL window - platform abstraction layer)
* `StOutAnaglyph` (anaglyph glasses support)
* `StOutDistorted` (VR support)
* `StOutDual` (mirror/dual output support)
* `StOutInterlace` (interleaved monitors support)
* `StOutIZ3D` (iZ3D monitors support)
* `StOutPageFlip` (shutter-glasses support)

Notice that some sources are wrappers over other 3rd-parties
and their licenses should be taken into account when used.

## External libraries

* FFmpeg libraries are distributed under GNU Lesser General Public License version 2.1 or later.<br/>
  https://ffmpeg.org/
* libconfig++ library distributed under GNU Lesser General Public License version 2.1 or later.<br/>
  https://www.hyperrealm.com/libconfig/libconfig.html
* OpenAL library distributed under GNU Lesser General Public License version 2.1 or later.<br/>
  https://openal-soft.org/
* FreeType library distributed under FreeType License (BSD-style license with a credit clause).<br/>
  https://www.freetype.org/
* Open CASCADE Technology libraries distributed under GNU Lesser General Public License version 2.1.<br/>
  https://dev.opencascade.org/

Some 3rd-parties may depend on other libraries and provide more license options.
Please read license information for original projects.

## Icons

Images in folders [texturesSrc](../texturesSrc) and [textures](../textures)
are available under the [license CC-BY 4.0](license-CC-BY-4.0.txt) (Creative Common Attribution 4.0 International License).
Feel free to remix and re-share these icons in your products.

Some of the images have been derived from Material Design icons shared by Google:<br/>
https://github.com/google/material-design-icons
